SyntaxHighlighter::HighlightingRule Struct Reference

`#include <PythonSyntaxHighlighter.h>`

## Public Attributes

QTextCharFormat | format
QRegExp | pattern

## Member Data Documentation

## format

QTextCharFormat SyntaxHighlighter::HighlightingRule::format

Referenced by SyntaxHighlighter::highlightBlock(), PythonSyntaxHighlighter::highlightBlock(), PythonSyntaxHighlighter::PythonSyntaxHighlighter(), and SyntaxHighlighter::SyntaxHighlighter().

## pattern

QRegExp SyntaxHighlighter::HighlightingRule::pattern

Referenced by SyntaxHighlighter::highlightBlock(), PythonSyntaxHighlighter::highlightBlock(), PythonSyntaxHighlighter::PythonSyntaxHighlighter(), and SyntaxHighlighter::SyntaxHighlighter().

The documentation for this struct was generated from the following file:

- qtiplot/src/scripting/PythonSyntaxHighlighter.h